roller-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Dave <snoopd...@gmail.com>
Subject Re: Installation issue: Roller 3.1 on JBoss 4.0.4
Date Wed, 23 May 2007 12:00:57 GMT
On 5/23/07, Gary Kephart <gary_kephart@pobox.com> wrote:
>  I'm getting the following error (this is from the JBoss server.log file)
>
>  2007-05-22 22:52:40,275 INFO
> [org.hibernate.cfg.SettingsFactory] Query language
> substitutions: {}
>  2007-05-22 22:52:40,275 INFO
> [org.hibernate.cfg.SettingsFactory] Second-level cache:
> enabled
>  2007-05-22 22:52:40,275 INFO
> [org.hibernate.cfg.SettingsFactory] Query cache: disabled
>  2007-05-22 22:52:40,275 INFO
> [org.hibernate.cfg.SettingsFactory] Cache provider:
> org.hibernate.cache.EhCacheProvider
>  2007-05-22 22:52:40,275 FATAL
> [org.apache.roller.business.hibernate.HibernateRollerImpl]
> Error initializing Hibernate
>  java.lang.NoClassDefFoundError: net/sf/ehcache/CacheException
>      at java.lang.Class.getDeclaredConstructors0(Native
> Method)
>      at
> java.lang.Class.privateGetDeclaredConstructors(Class.java:1590)
>      at java.lang.Class.getConstructor0(Class.java:1762)
>      at java.lang.Class.newInstance0(Class.java:276)
>      at java.lang.Class.newInstance(Class.java:259)
>      at
> org.hibernate.cfg.SettingsFactory.createCacheProvider(SettingsFactory.java:346)
>      at
> org.hibernate.cfg.SettingsFactory.buildSettings(SettingsFactory.java:220)
>
>  I saw where someone else suggested changing from ehcache-1.1 to
> ehcache-1.2.x, and I tried that, with the same results.
>  Could this have anything to do with Hibernate being part of JBoss? How
> about these settings in
> jbossweb-tomcat55.sar\META-INF\java-service.xml?
>
>        <attribute
> name="Java2ClassLoadingCompliance">true</attribute>
>        <attribute
> name="UseJBossWebLoader">false</attribute>
>        <attribute
> name="FilteredPackages">javax.servlet,org.apache.commons.logging</attribute>


Imagine that. Classloader problems on JBoss. Never heard of that before ;-)

Grasping at straws here...

Did you download Hibernate from the Roller Support project or obtain
if from somewhere else? Either way, you must use Hibernate 3.1.2.

- Dave

Mime
View raw message